<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


 /**
  * Prints a link for free editing record of db
  * 
  *
  * Required: class Link
  * 
  * @since 2011-12
  */
class Link_Free_Edit extends Link 
{

    /**
     * Retruns a link for editing the whole record
     * 
     * @return string html-link 
     */
    function get_link() 
    {
        global $file;
        global $la_free_edit;
        if (isset($_SESSION['tbl'])) {
            $tbl = $_SESSION['tbl'];
        }else{
            $tbl = '';
        }
        $file = PROJECT_HTTP_ROOT . 'tbl_edit.php?tbl=' .  $tbl 
              . '&id='. $_SESSION['id'] 
              . '&edit=all' 
              . '&file=' . PROJECT_HTTP_ROOT . $file;
        $link = $this->make_link($file, $la_free_edit);
        return $link;
    }

} // end class