<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Output documents in HTML language
 * 
 */

require_once 'common.php';

HTML::printHead('print.css');
HTML::printBody();
$headline = '';
HTML::printHeadline($headline);

$document = $_REQUEST['docum'];


//            $conf_box = new Confirmation_Box();
//            $conf_box->set_headline('Datum fehlt!');
//            $text_conf = 'Es ist kein Rechnungsdatum eingetragen. Mchten Sie das heutige Datum ('
//            .date('Y-m-d').') eintragen?';
//            echo$conf_box->show_yes_or_no($text_conf, 'set_date', 1, 0);

// Class Doc_Html
$invoice = new Doc_Html();
$invoice->set_data($_REQUEST['id'], $document);
$invoice->set_output_format('h');
$invoice->make_head();
$invoice->make_address(); // important for delivery address xy

$font_size_normal = $invoice->get_font_size();
$font_size_small = $invoice->get_font_size_small();
$font_size_big = $invoice->get_font_size_big();
$arr_address_xy = $invoice->get_arr_address_xy();
$arr_delivery_address_xy = $invoice->get_arr_delivery_address_xy();
$arr_company_data_xy = $invoice->get_arr_company_data_xy();
?>

<style type="text/css">
    p, h1, li, th, td{
        font-size: <?php print $font_size_normal?>pt;
    }
    .small{
        font-size: <?php print $font_size_small?>pt;
    }
    #company_name{
        font-size: <?php print $font_size_big?>pt;
    }
    #address {
        position: absolute;
        height: auto;
        right: auto;
        bottom: auto;
        left: <?php echo $arr_address_xy[0]; ?>mm;
        top: <?php echo $arr_address_xy[1]; ?>mm;
    }
    
    #address_deliv {
        position: absolute;
        width: 95mm;
        height: auto;
        right: auto;
        bottom: auto;
        left: <?php echo $arr_delivery_address_xy[0]; ?>mm;
        top: <?php echo $arr_delivery_address_xy[1]; ?>mm;
}
    #company {
        position: absolute;
        height: auto;
        right: auto;
        bottom: auto;
        left: <?php echo $arr_company_data_xy[0]; ?>mm;
        top: <?php echo $arr_company_data_xy[1]; ?>mm;
    }
</style>
<div class="a4">
    
<div class="invisible">
    <?php print link_back_with_query('h1'); ?>
</div>
    
<div id="company">
    <?php print $invoice->make_html_head(); ?>
</div>
    
<div id="address_deliv">
    <?php print $invoice->make_html_delivery_address(); ?>
</div>
    
<div id="address">
    <?php print $invoice->make_html_address(); ?>
</div>
<?php

// Company name
$invoice->print_company_name();

// Logo
$invoice->print_logo();

?>

<div id="folding">-</div>
<p>&nbsp; </p>
<p>&nbsp; </p>
<div id="regarding">
    <p>
    <?php 
    // Field assumption of costs is like invoice
    if ($document == 'assum') {
        $document = 'invoice';
    }

    // Delivery date
    if ($document != 'lette') {
        $invoice->print_delivery_date();
    }

    ?>
    </p>
</div>
<?php

if ($document != 'lette') {
    ?>
    <div id="inhalt">
        <table border="1" style="width: 160mm;" >
            <?php
            $invoice->print_totals();
            ?>
        </table>
    <div>
        <?php
        $invoice->print_abbreviations();
        $invoice->print_tax_invoice_included();
        $invoice->print_delivery_time();
        $invoice->make_text();
        $invoice->print_text();
        $invoice->print_small_businessman();
        $invoice->print_bank_and_aim();
        ?>
    </div>
    </div>
    <?php

}else{
    ?>
    <div id="letter">
    <?php
    $invoice->print_letter();
    ?>
    </div>
    <?php
}
?>
</div>
<?php
HTML::printFoot();
?>