<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * Script for export database content as csv file ord sql dump
 */
require_once 'common.php';

// Now as date
$date = date("Ymd_Hi");

/**
 *  Form after submit
 */
//  Single table
if (isset($_POST['export_csv'])) {
    $tbl = $_POST['table'];
    $export = new Csv();
    $sql = "SELECT * FROM " . $tbl;
    $res = $db->query($sql);
    $ext = 'csv';
    $name = $date . '_' . $tbl;
    $export->queryExport($res, $name, $ext);
    exit;
}


// Form before submit
HTML::printHead($css);
HTML::printBody();
HTML::printHeadline($headline);

$tbl = $_SESSION['tbl'];

require_once 'include/bar_common.inc.php';


?>

<div style="width: 50%;">
    
<h1>Tabellen exportieren</h1>

<p>
Die folgenden Tabellen der Datenbank knnen als CSV-Datei exportiert werden.
Das CSV-Format ist ein Textdokument, bei dem die einzelnen Felder mit einem
Trennzeichen getrennt werden.
</p>
<p>
Solch eine Datei kann in einem Kalkulationsprogramm, z.B. OpenOffice "Calc"
oder Microsoft Excel, geffnet und bearbeitet werden.
<br/>
Einstellungen:
</p>
<p>
Zeichensatz: "Westeurop&auml;isch (ISO 5889-1)"
<br/>
Trennzeichen: ";" (Semikolon)
</p>


<form method="post" name="eintragen" action="export.php">
    <?php
    // Query: find all tables
    $sql = "SHOW TABLES LIKE 'tbl_" . $use['id']  . "_%'";
    $db = new Dbc();
    $result = $db->query($sql);
    
    while ($row = mysql_fetch_array($result)) {
        
        print '<input type="radio" name="table" value="'.$row[0].'">'. $row[0] 
                . '<br/>'."\n";
    }
    
   ?> 
<input type="submit" name="export_csv" value="<?php print $la_export_table; ?>">
</form>
<br/>
</div>
    
<?php

HTML::printFoot();
?>